#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: incremental-parser
version: 0.3.1.1
id: incremental-parser-0.3.1.1-DGL1948LIHJ8Bo6byuwWur
key: incremental-parser-0.3.1.1-DGL1948LIHJ8Bo6byuwWur
license: GPL-3.0-only
copyright: (c) 2011-2018 Mario Blazevic
maintainer: blamario@yahoo.com
author: Mario Blazevic
homepage: https://github.com/blamario/incremental-parser
synopsis: Generic parser library capable of providing partial results from partial input.
description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.
category: Parsing
abi: a43261424e45179b078c26ec46f43d05
exposed: True
exposed-modules:
    Control.Applicative.Monoid Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric
import-dirs: /usr/lib/ghc-8.4.2/site-local/incremental-parser-0.3.1.1
library-dirs: /usr/lib/ghc-8.4.2/site-local/incremental-parser-0.3.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/incremental-parser-0.3.1.1
hs-libraries: HSincremental-parser-0.3.1.1-DGL1948LIHJ8Bo6byuwWur
depends:
    base-4.11.1.0 monoid-subclasses-0.4.6-lUJd5M6Kve6K9XIuEJRdY
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             monoid-subclasses-0.4.6-lUJd5M6Kve6K9XIuEJRdY=542f61a7bf026ab146a7fef668e95386
haddock-interfaces: /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock
haddock-html: /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

